
struct modifiers{
    int modifier;
    bool openEnded;
    };

struct LevelRank{
    int diffLevel;
    int rankBonus;
    int miscMod;
    };

struct ScienceLevel{
    LevelRank mechEng;
    LevelRank weapEng;
    LevelRank elecEng;
    LevelRank compEng;
    LevelRank powrEng;
    };


class Race
    {
    private:
    int basicType;
    int racialOrigins;
    int kinshipStructure;
    int kinshipStructureExtension;
    int values;
    int politicalStructure;
    int politicalStructureExtension;
    ScienceLevel scienceLevel;
    int language;
    int worship;
    int worshipExtension;
    int xenoAcceptance;
    int problems;
    int problemsExtension;
    modifiers basicTypeFind(modifiers);
    modifiers racialOriginsFind(modifiers);
    modifiers kinshipStructureFind(modifiers);
    modifiers valuesFind(modifiers);
    modifiers politicalStructureFind(modifiers);
    modifiers scienceLevelFind(modifiers);
    modifiers languageFind(modifiers);
    modifiers worshipFind(modifiers);
    modifiers xenoAcceptanceFind(modifiers);
    modifiers problemsFind(modifiers);
    public:
    Race();
    ~Race();
    int generate();
    int generate(int, int, int);
    int printRace();
    CString getDescription(int);
    int key;
    };