// RacialGeneratorV2Dlg.cpp : implementation file
//

#include "stdafx.h"
#include "RacialGeneratorV2.h"
#include "RacialGeneratorV2Dlg.h"
#include "RacialGenerator.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

Race* myNewRace;

/////////////////////////////////////////////////////////////////////////////
// CAboutDlg dialog used for App About

class CAboutDlg : public CDialog
{
public:
	CAboutDlg();

// Dialog Data
	//{{AFX_DATA(CAboutDlg)
	enum { IDD = IDD_ABOUTBOX };
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAboutDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	//{{AFX_MSG(CAboutDlg)
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

CAboutDlg::CAboutDlg() : CDialog(CAboutDlg::IDD)
{
	//{{AFX_DATA_INIT(CAboutDlg)
	//}}AFX_DATA_INIT
}

void CAboutDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CAboutDlg)
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CAboutDlg, CDialog)
	//{{AFX_MSG_MAP(CAboutDlg)
		// No message handlers
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CRacialGeneratorV2Dlg dialog

CRacialGeneratorV2Dlg::CRacialGeneratorV2Dlg(CWnd* pParent /*=NULL*/)
	: CDialog(CRacialGeneratorV2Dlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CRacialGeneratorV2Dlg)
	m_valBasicType = _T("");
	m_valKinshipStructure = _T("");
	m_valLanguage = _T("");
	m_valPoliticalStructure = _T("");
	m_valProblems = _T("");
	m_valRacialOrigins = _T("");
	m_valTech = _T("");
	m_valValues = _T("");
	m_valWorship = _T("");
	m_valXeno = _T("");
	m_valLocation = -1;
	m_valLightYears = 0;
	//}}AFX_DATA_INIT
	// Note that LoadIcon does not require a subsequent DestroyIcon in Win32
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

void CRacialGeneratorV2Dlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CRacialGeneratorV2Dlg)
	DDX_Text(pDX, IDC_BASICTYPE, m_valBasicType);
	DDX_Text(pDX, IDC_KINSHIPSTRUCTURE, m_valKinshipStructure);
	DDX_Text(pDX, IDC_LANGUAGE, m_valLanguage);
	DDX_Text(pDX, IDC_POLITICALSTRUCTURE, m_valPoliticalStructure);
	DDX_Text(pDX, IDC_PROBLEMS, m_valProblems);
	DDX_Text(pDX, IDC_RACIALORIGINS, m_valRacialOrigins);
	DDX_Text(pDX, IDC_TECH, m_valTech);
	DDX_Text(pDX, IDC_VALUES, m_valValues);
	DDX_Text(pDX, IDC_WORSHIP, m_valWorship);
	DDX_Text(pDX, IDC_XENO, m_valXeno);
	DDX_Radio(pDX, IDC_INNERPROV, m_valLocation);
	DDX_Text(pDX, IDC_LIGHTYEARS, m_valLightYears);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CRacialGeneratorV2Dlg, CDialog)
	//{{AFX_MSG_MAP(CRacialGeneratorV2Dlg)
	ON_WM_SYSCOMMAND()
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	ON_BN_CLICKED(IDC_NEW, OnNew)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CRacialGeneratorV2Dlg message handlers

BOOL CRacialGeneratorV2Dlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	// Add "About..." menu item to system menu.

	// IDM_ABOUTBOX must be in the system command range.
	ASSERT((IDM_ABOUTBOX & 0xFFF0) == IDM_ABOUTBOX);
	ASSERT(IDM_ABOUTBOX < 0xF000);

	CMenu* pSysMenu = GetSystemMenu(FALSE);
	if (pSysMenu != NULL)
	{
		CString strAboutMenu;
		strAboutMenu.LoadString(IDS_ABOUTBOX);
		if (!strAboutMenu.IsEmpty())
		{
			pSysMenu->AppendMenu(MF_SEPARATOR);
			pSysMenu->AppendMenu(MF_STRING, IDM_ABOUTBOX, strAboutMenu);
		}
	}

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon
	
    // TODO: Add extra initialization here
    m_valLocation = 0;
    myNewRace = new Race;
    OnNew();

	return TRUE;  // return TRUE  unless you set the focus to a control
}

void CRacialGeneratorV2Dlg::OnSysCommand(UINT nID, LPARAM lParam)
{
	if ((nID & 0xFFF0) == IDM_ABOUTBOX)
	{
		CAboutDlg dlgAbout;
		dlgAbout.DoModal();
	}
	else
	{
		CDialog::OnSysCommand(nID, lParam);
	}
}

// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.

void CRacialGeneratorV2Dlg::OnPaint() 
{
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, (WPARAM) dc.GetSafeHdc(), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();
	}
}

// The system calls this to obtain the cursor to display while the user drags
//  the minimized window.
HCURSOR CRacialGeneratorV2Dlg::OnQueryDragIcon()
{
	return (HCURSOR) m_hIcon;
}

void CRacialGeneratorV2Dlg::OnNew() 
{
	// TODO: Add your control notification handler code here
	myNewRace->generate(m_valLocation, m_valLightYears, 0);
    UpdateData();
    m_valBasicType = myNewRace->getDescription(0);
    m_valRacialOrigins = myNewRace->getDescription(1);
    m_valKinshipStructure = myNewRace->getDescription(2);
    m_valValues = myNewRace->getDescription(3);
    m_valPoliticalStructure = myNewRace->getDescription(4);
    m_valTech = myNewRace->getDescription(5);
    m_valLanguage = myNewRace->getDescription(6);
    m_valWorship = myNewRace->getDescription(7);
    m_valXeno = myNewRace->getDescription(8);
    m_valProblems = myNewRace->getDescription(9);
    UpdateData(FALSE);
//    MessageBox(description);
}
